ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package sequence
  Definition Classes
    ds
- DatasetBoundSequenceDataset
- DatasetBoundSliceDataset
- FASTAInFormatter
- ParquetUnboundSequenceDataset
- ParquetUnboundSliceDataset
- RDDBoundSequenceDataset
- RDDBoundSliceDataset
- SequenceDataset
- SliceDataset

o

org.bdgenomics.adam.ds.sequence

# SequenceDataset 

###
Companion class SequenceDataset

#### object SequenceDataset

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SequenceDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val FASTA_LINE_WIDTH: String

   Hadoop configuration path to specify line width at which to hard wrap FASTA formatted sequences.

   Hadoop configuration path to specify line width at which to hard wrap FASTA formatted sequences. Defaults to 60.

5.  def apply(rdd: RDD[Sequence], sd: SequenceDictionary): SequenceDataset

   Builds a SequenceDataset given a sequence dictionary.

   Builds a SequenceDataset given a sequence dictionary.

   rdd

     The underlying Sequence RDD to build from.

   sd

     The sequence dictionary for this SequenceDataset.

   returns

     Returns a new SequenceDataset.

6.  def apply(rdd: RDD[Sequence]): SequenceDataset

   Builds a SequenceDataset with an empty sequence dictionary.

   Builds a SequenceDataset with an empty sequence dictionary.

   rdd

     The underlying Sequence RDD to build from.

   returns

     Returns a new SequenceDataset.

7.  def apply(ds: Dataset[Sequence], sequences: SequenceDictionary): SequenceDataset

   A genomic dataset that wraps a dataset of Sequence data.

   A genomic dataset that wraps a dataset of Sequence data.

   ds

     A Dataset of sequences.

   sequences

     The reference genome these data are aligned to.

8.  def apply(ds: Dataset[Sequence]): SequenceDataset

   A genomic dataset that wraps a dataset of Sequence data.

   A genomic dataset that wraps a dataset of Sequence data.

   ds

     A Dataset of sequences.

9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped